# $Revision: 1.41.2.3 $, $Date: 2004/01/02 14:57:25 $
Summary:	Gnome integrated development environment
Summary(pl):	Zintegrowane rodowisko programowania dla Gnome
Summary(pt_BR):	Ambiente de desenvolvimento integrado C e C++
Name:		anjuta
Version:	0.1.9
Release:	10
License:	GPL
Group:		Development/Tools
Source0:	http://dl.sourceforge.net/anjuta/%{name}-%{version}.tar.gz
# Source0-md5:	645a108a816b30ecff1df13395e6ce00
Patch0:		%{name}-ac_am.patch
Patch1:		%{name}-no_systemtags.patch
Patch2:		%{name}-omf.patch
Patch3:		%{name}-module_no_version.patch
Patch4:		%{name}-use_AM_CXXFLAGS.patch
Patch5:		%{name}-desktop_fix.patch
Patch6:		%{name}-desktop.patch
URL:		http://anjuta.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bonobo-devel
BuildRequires:	gettext-devel
BuildRequires:	gnome-vfs-devel
BuildRequires:	gtk+-devel >= 1.2.0
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	libxml-devel
BuildRequires:	pkgconfig
BuildRequires:	scrollkeeper
BuildRequires:	gnomemm-devel
Requires:	gnome-libs-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define         _prefix         /usr/X11R6
%define		_mandir		%{_prefix}/man
%define		_omf_dest_dir	%(scrollkeeper-config --omfdir)

%description
Anjuta is a very versatile integrated development environment for C
and C++ GNU/Linux. Written in GTK/Gnome and written for GTK/Gnome, it
features many advanced programming tools and utilities. Besides many
other, it has project management, application wizards, onboard
interactive debugger, and a powerful source editor with source
browsing.

%description -l pl
Anjuta to wszechstronne zintegrowane rodowisko programowania dla
jzyka C oraz C++. Zostao napisane z wykorzystaniem tandemu
GTK/Gnome, wanie po to by go w takim otoczeniu uywa. Midzy innymi
posiada zarzdc projektw, kreator aplikacji, wbudowany interaktywny
odpluskwiacz oraz edytor z moliwoci przegldania rde.

%description -l pt_BR
O Anjuta  um ambiente de desenvolvimento integrado (IDE) verstil
para as linguagens C e C++. Foi escrito para o GTK/GNOME e tem uma
srie de caractersticas de programao avanadas. Basicamente  uma
interface grfica com o usurio para um conjunto de utilitrios de
linha de comando e ferramentas para programao para o Linux. Estas
so geralmente executadas em um console em modo texto e podem ser no
amigveis.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
rm -f missing
%{__libtoolize}
%{__gettextize}
xml-i18n-toolize --copy --force
%{__aclocal} -I macros
%{__autoconf}
%{__automake}
echo "all install:">plugins/sample1/Makefile.in
CXXFLAGS="%{rpmcflags} -fno-exceptions"
%configure \
	--with-gnome \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	omf_dest_dir=%{_omf_dest_dir}/%{name} \
	gnomemenudir=%{_applnkdir}/Development

%find_lang %{name} --with-gnome

%post   -p /usr/bin/scrollkeeper-update
%postun -p /usr/bin/scrollkeeper-update

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README ChangeLog NEWS TODO
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/anjuta
%attr(755,root,root) %{_libdir}/anjuta/lib*.so
%{_omf_dest_dir}/%{name}
%{_datadir}/anjuta
%{_applnkdir}/Development/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: anjuta.spec,v $
Revision 1.41.2.3  2004/01/02 14:57:25  ankry
- desktops in UTF now (-desktop patch)

Revision 1.41.2.2  2004/01/02 14:04:38  ankry
- md5, fixed URL, rel. 10

Revision 1.41.2.1  2003/07/11 12:00:22  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.41  2002/10/09 16:58:02  kloczek
- fix in %istall.

Revision 1.40  2002/10/09 15:11:28  kloczek
- release 8,
- added --disable-static to autoconf parameters (dont build static plugins),
- added patches:
-- module_no_version: build anjuta plugins as non versioned shared object (two entries
   in %files less),
-- use_AM_CXXFLAGS: use correct C++ optimizations (dont use directly CXXFLAGS and -O and
   use AM_CXXFLAGS without optimizations flags)
-- desktop_fix: do not use absolute path in Icon field in desktop file,
- remove run intltoolize in %build (anjuta uses xml-18n-toolize),
- remove shared object plugins .la files from %files (anjuta do not uses libltdl for
  loading modules).

Revision 1.39  2002/10/09 13:14:16  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.38  2002/10/03 17:59:41  krzak
Release 8
fixed omf files patch

Revision 1.37  2002/09/17 10:44:56  marcus
- added patch to not rebuild system tags
  (it's pointless, anjuta will be used on differnet machine, ant it takes
   realy long time)
- rel.7.

Revision 1.36  2002/09/16 20:27:18  blues
- release 6 - requires gnome-libs-devel (gnome-gettext,m4 is required by
  anjuta) - STBR

Revision 1.35  2002/07/21 20:02:18  kloczek
- release 5.

Revision 1.34  2002/06/23 20:52:48  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.33  2002/06/23 20:32:20  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.32  2002/06/14 19:12:13  saq
- removed dependency-incurred BuildRequires
- updated BuildRequires
- don't build&install the sample plugin
- cleanups
- release 4, STBR

Revision 1.31  2002/06/05 03:42:15  kloczek
- use new %doc and add "rm -f missing" on top %build.

Revision 1.30  2002/05/21 23:12:41  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.29  2002/05/17 14:28:59  michuz
- fixed omf filse location
- release++

Revision 1.28  2002/05/16 06:53:03  misiek
- move omf files one level deeper; rel 2

Revision 1.27  2002/05/02 12:23:00  kloczek
- merge translations from Conectiva.

Revision 1.26  2002/04/28 19:27:06  misiek
- more BR

Revision 1.25  2002/04/28 18:57:24  michuz
- added BR audiofile, esound, pkgconfig

Revision 1.24  2002/04/28 16:28:08  michuz
- removed -no-rtti from CXXFLAGS

Revision 1.23  2002/04/28 03:21:09  michuz
- more %%files update

Revision 1.22  2002/04/28 03:08:01  michuz
- removed doubled BR

Revision 1.21  2002/04/28 03:06:36  michuz
- updated to 0.1.9

Revision 1.20  2002/04/25 15:44:29  arturs
fixed a small typo

Revision 1.19  2002/03/24 23:28:13  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.18  2002/02/22 23:28:40  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/12 19:59:54  kloczek
- s/xml-i18n-tools/intltool/ in BuildRequires,
- fix am_ac patch instead add nest fix on fix in %build.

Revision 1.16  2002/02/12 18:39:18  filon
- added patch to not rebuild system tags
  (it's pointless, anjuta will be used on differnet machine, ant it takes
   realy, realy, long time)
- buildrequires: xml-i18n-tools
- added destdir patch (fixes install)
- release 4

Revision 1.15  2002/02/10 21:08:08  kloczek
- release 3.

Revision 1.14  2002/02/10 20:23:14  adasi
 - added missing libxml-devel BuildReqs

Revision 1.13  2002/02/10 01:45:11  blues
- adapterized
- sed-patching used
NOTE: still does not build.

Revision 1.12  2002/01/18 02:12:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/12/13 18:33:21  kloczek
- release 2: use intltool instead outdated xml-i18n-tools.

Revision 1.10  2001/12/07 00:15:07  kloczek
- added regenerate scrollkeeper files in %post/%postun.

Revision 1.9  2001/12/06 23:06:32  misiek
- updated to 0.1.8 (lot of bugfixes; polish translation)

Revision 1.8  2001/09/26 09:19:33  qboosh
- BuildRequires: gettext-devel

Revision 1.7  2001/06/29 21:12:03  kloczek
- added am_fixes patch: dix passing CXXFLAGS to compile C++ code,
- added missing BuildRequires (libstdc++-devel, gnome-libs-devel),
- use %%find_lang macro for collect all languages depending files,
- regenerate ac/am/lt/gettext files,
- pass -fno-rtti -fno-exceptions to C++ compile flags (smaller binaries),
- use more macros in %files,
- some cosmetics.

Revision 1.6  2001/06/29 08:36:06  alchemyx
- fixed some stupid bugs, should build fine now

Revision 1.5  2001/06/29 08:32:40  alchemyx
- desktop file added
- added buildreq (is it enough?)
- adapterized
- release 1, STB

Revision 1.4  2001/06/29 07:49:02  alchemyx
- section files added

Revision 1.3  2001/06/28 18:57:58  alchemyx
- added descriptions
- translated to polish

Revision 1.2  2001/06/28 18:48:27  alchemyx
- some preparation (group, etc)
- adapterized
